/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-07-06
 * 描述            ：改判申请记录表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.qcm.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import market.Qms.qcm.mapper.QcmRejudgeApplyMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="QCM_REJUDGE_APPLY", namespace=QcmRejudgeApplyMapper.class)
public class QcmRejudgeApply extends BaseVO implements Serializable {
	/** 
	 * 改判申请记录号（R+两位年/月/日+3位流水号）
	 */ 
	@Id
	private String rejudge_id;
	public String getRejudge_id() {
		return this.rejudge_id;
	}
	public void setRejudge_id(String rejudge_id) {
		this.rejudge_id = rejudge_id;
	}
	
	
	/**
	 * 原产品规范码
	 */
	@Column
	private String old_psc;
	public String getOld_psc() {
		return old_psc;
	}
	public void setOld_psc(String old_psc) {
		this.old_psc = old_psc;
	}

	/**
	 * 来源于计划模块
	 */
	
	@Column
	private String design_key;
	public String getDesign_key() {
		return design_key;
	}
	public void setDesign_key(String design_key) {
		this.design_key = design_key;
	}


	/** 
	 * 产品序号
	 */ 
	@Id
	private String material_no;
	public String getMaterial_no() {
		return this.material_no;
	}
	public void setMaterial_no(String material_no) {
		this.material_no = material_no;
	}

	/** 
	 * 原检验号
	 */ 
	@Column
	private String old_inspection_lot;
	public String getOld_inspection_lot() {
		return this.old_inspection_lot;
	}
	public void setOld_inspection_lot(String old_inspection_lot) {
		this.old_inspection_lot = old_inspection_lot;
	}

	/** 
	 * 订单号(优特钢；PLAN字段，中厚板:CONTRACT_LINE_NO）
	 */ 
	@Column
	private String contract_line_no;
	public String getContract_line_no() {
		return this.contract_line_no;
	}
	public void setContract_line_no(String contract_line_no) {
		this.contract_line_no = contract_line_no;
	}

	/** 
	 * 订单号(优特钢：客户可识别的合同信息，中厚板：CONTRACT_NO+CONTRACT_LINE_SEQ）
	 */ 
	@Column
	private String contract_line_desc;
	public String getContract_line_desc() {
		return this.contract_line_desc;
	}
	public void setContract_line_desc(String contract_line_desc) {
		this.contract_line_desc = contract_line_desc;
	}

	/** 
	 * 原产品名称代码
	 */ 
	@Column
	private String old_prod_code;
	public String getOld_prod_code() {
		return this.old_prod_code;
	}
	public void setOld_prod_code(String old_prod_code) {
		this.old_prod_code = old_prod_code;
	}

	/** 
	 * 原产品名称描述
	 */ 
	@Column
	private String old_prod_name;
	public String getOld_prod_name() {
		return this.old_prod_name;
	}
	public void setOld_prod_name(String old_prod_name) {
		this.old_prod_name = old_prod_name;
	}

	/** 
	 * 原钢级(牌号)代码
	 */ 
	@Column
	private String old_steel_code;
	public String getOld_steel_code() {
		return this.old_steel_code;
	}
	public void setOld_steel_code(String old_steel_code) {
		this.old_steel_code = old_steel_code;
	}

	/** 
	 * 原钢级(牌号)名称
	 */ 
	@Column
	private String old_steel_name;
	public String getOld_steel_name() {
		return this.old_steel_name;
	}
	public void setOld_steel_name(String old_steel_name) {
		this.old_steel_name = old_steel_name;
	}

	/** 
	 * 原标准代码
	 */ 
	@Column
	private String old_std_code;
	public String getOld_std_code() {
		return this.old_std_code;
	}
	public void setOld_std_code(String old_std_code) {
		this.old_std_code = old_std_code;
	}

	/** 
	 * 原标准名称
	 */ 
	@Column
	private String old_std_name;
	public String getOld_std_name() {
		return this.old_std_name;
	}
	public void setOld_std_name(String old_std_name) {
		this.old_std_name = old_std_name;
	}

	/** 
	 * 交货状态代码
	 */ 
	@Column
	private String delivery_state_code;
	public String getDelivery_state_code() {
		return this.delivery_state_code;
	}
	public void setDelivery_state_code(String delivery_state_code) {
		this.delivery_state_code = delivery_state_code;
	}

	/** 
	 * 交货状态描述
	 */ 
	@Column
	private String delivery_state_desc;
	public String getDelivery_state_desc() {
		return this.delivery_state_desc;
	}
	public void setDelivery_state_desc(String delivery_state_desc) {
		this.delivery_state_desc = delivery_state_desc;
	}

	/** 
	 * 检验号
	 */ 
	@Column
	private String inspection_lot;
	public String getInspection_lot() {
		return this.inspection_lot;
	}
	public void setInspection_lot(String inspection_lot) {
		this.inspection_lot = inspection_lot;
	}

	/** 
	 * 产品规范码
	 */ 
	@Column
	private String psc;
	public String getPsc() {
		return this.psc;
	}
	public void setPsc(String psc) {
		this.psc = psc;
	}

	/** 
	 * 产品规范描述
	 */ 
	@Column
	private String psc_desc;
	public String getPsc_desc() {
		return this.psc_desc;
	}
	public void setPsc_desc(String psc_desc) {
		this.psc_desc = psc_desc;
	}

	/** 
	 * 产品名称代码
	 */ 
	@Column
	private String prod_code;
	public String getProd_code() {
		return this.prod_code;
	}
	public void setProd_code(String prod_code) {
		this.prod_code = prod_code;
	}

	/** 
	 * 产品名称描述
	 */ 
	@Column
	private String prod_name;
	public String getProd_name() {
		return this.prod_name;
	}
	public void setProd_name(String prod_name) {
		this.prod_name = prod_name;
	}

	/** 
	 * 钢级(牌号)代码
	 */ 
	@Column
	private String steel_code;
	public String getSteel_code() {
		return this.steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	/** 
	 * 钢级(牌号)名称
	 */ 
	@Column
	private String steel_name;
	public String getSteel_name() {
		return this.steel_name;
	}
	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}

	/** 
	 * 标准代码
	 */ 
	@Column
	private String std_code;
	public String getStd_code() {
		return this.std_code;
	}
	public void setStd_code(String std_code) {
		this.std_code = std_code;
	}

	/** 
	 * 标准名称
	 */ 
	@Column
	private String std_name;
	public String getStd_name() {
		return this.std_name;
	}
	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	/** 
	 * 计划厚度
	 */ 
	@Column
	private String plan_thick;
	public String getPlan_thick() {
		return this.plan_thick;
	}
	public void setPlan_thick(String plan_thick) {
		this.plan_thick = plan_thick;
	}

	/** 
	 * 计划宽度
	 */ 
	@Column
	private String plan_width;
	public String getPlan_width() {
		return this.plan_width;
	}
	public void setPlan_width(String plan_width) {
		this.plan_width = plan_width;
	}

	/** 
	 * 计划长度
	 */ 
	@Column
	private String plan_length;
	public String getPlan_length() {
		return this.plan_length;
	}
	public void setPlan_length(String plan_length) {
		this.plan_length = plan_length;
	}

	/** 
	 * 实际厚度
	 */ 
	@Column
	private String real_thick;
	public String getReal_thick() {
		return this.real_thick;
	}
	public void setReal_thick(String real_thick) {
		this.real_thick = real_thick;
	}

	/** 
	 * 实际宽度
	 */ 
	@Column
	private String real_width;
	public String getReal_width() {
		return this.real_width;
	}
	public void setReal_width(String real_width) {
		this.real_width = real_width;
	}

	/** 
	 * 实际长度
	 */ 
	@Column
	private String real_length;
	public String getReal_length() {
		return this.real_length;
	}
	public void setReal_length(String real_length) {
		this.real_length = real_length;
	}

	/** 
	 * 成分判定结果代码
	 */ 
	@Column
	private String cic_result_code;
	public String getCic_result_code() {
		return this.cic_result_code;
	}
	public void setCic_result_code(String cic_result_code) {
		this.cic_result_code = cic_result_code;
	}

	/** 
	 * 成分判定结果描述
	 */ 
	@Column
	private String cic_result_desc;
	public String getCic_result_desc() {
		return this.cic_result_desc;
	}
	public void setCic_result_desc(String cic_result_desc) {
		this.cic_result_desc = cic_result_desc;
	}

	/** 
	 * 材质判定结果代码
	 */ 
	@Column
	private String pic_result_code;
	public String getPic_result_code() {
		return this.pic_result_code;
	}
	public void setPic_result_code(String pic_result_code) {
		this.pic_result_code = pic_result_code;
	}

	/** 
	 * 材质判定结果描述
	 */ 
	@Column
	private String pic_result_desc;
	public String getPic_result_desc() {
		return this.pic_result_desc;
	}
	public void setPic_result_desc(String pic_result_desc) {
		this.pic_result_desc = pic_result_desc;
	}

	/** 
	 * 探伤检验结果代码
	 */ 
	@Column
	private String dic_result_code;
	public String getDic_result_code() {
		return this.dic_result_code;
	}
	public void setDic_result_code(String dic_result_code) {
		this.dic_result_code = dic_result_code;
	}

	/** 
	 * 探伤检验结果描述
	 */ 
	@Column
	private String dic_result_desc;
	public String getDic_result_desc() {
		return this.dic_result_desc;
	}
	public void setDic_result_desc(String dic_result_desc) {
		this.dic_result_desc = dic_result_desc;
	}

	/** 
	 * 上表检验结果代码
	 */ 
	@Column
	private String sfu_result_code;
	public String getSfu_result_code() {
		return this.sfu_result_code;
	}
	public void setSfu_result_code(String sfu_result_code) {
		this.sfu_result_code = sfu_result_code;
	}

	/** 
	 * 上表检验结果描述
	 */ 
	@Column
	private String sfu_result_desc;
	public String getSfu_result_desc() {
		return this.sfu_result_desc;
	}
	public void setSfu_result_desc(String sfu_result_desc) {
		this.sfu_result_desc = sfu_result_desc;
	}

	/** 
	 * 下表检验结果代码
	 */ 
	@Column
	private String sfd_result_code;
	public String getSfd_result_code() {
		return this.sfd_result_code;
	}
	public void setSfd_result_code(String sfd_result_code) {
		this.sfd_result_code = sfd_result_code;
	}

	/** 
	 * 下表检验结果描述
	 */ 
	@Column
	private String sfd_result_desc;
	public String getSfd_result_desc() {
		return this.sfd_result_desc;
	}
	public void setSfd_result_desc(String sfd_result_desc) {
		this.sfd_result_desc = sfd_result_desc;
	}

	/** 
	 * 边部检验结果代码
	 */ 
	@Column
	private String sfe_result_code;
	public String getSfe_result_code() {
		return this.sfe_result_code;
	}
	public void setSfe_result_code(String sfe_result_code) {
		this.sfe_result_code = sfe_result_code;
	}

	/** 
	 * 边部检验结果描述
	 */ 
	@Column
	private String sfe_result_desc;
	public String getSfe_result_desc() {
		return this.sfe_result_desc;
	}
	public void setSfe_result_desc(String sfe_result_desc) {
		this.sfe_result_desc = sfe_result_desc;
	}

	/** 
	 * 卡量检验结果代码
	 */ 
	@Column
	private String mst_result_code;
	public String getMst_result_code() {
		return this.mst_result_code;
	}
	public void setMst_result_code(String mst_result_code) {
		this.mst_result_code = mst_result_code;
	}

	/** 
	 * 卡量检验结果描述
	 */ 
	@Column
	private String mst_result_desc;
	public String getMst_result_desc() {
		return this.mst_result_desc;
	}
	public void setMst_result_desc(String mst_result_desc) {
		this.mst_result_desc = mst_result_desc;
	}

	/** 
	 * 改判处理状态（0:待确认,1:已确认,2:已完成)
	 */ 
	@Column
	private String rejudge_status;
	public String getRejudge_status() {
		return this.rejudge_status;
	}
	public void setRejudge_status(String rejudge_status) {
		this.rejudge_status = rejudge_status;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 确认人
	 */ 
	@Column
	private String cfm_name;
	public String getCfm_name() {
		return this.cfm_name;
	}
	public void setCfm_name(String cfm_name) {
		this.cfm_name = cfm_name;
	}

	/** 
	 * 确认时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date cfm_time;
	public Date getCfm_time() {
		return this.cfm_time;
	}
	public void setCfm_time(Date cfm_time) {
		this.cfm_time = cfm_time;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}
	
	
	/**
	 * 产线代码
	 */
	@Column
	private String pline_code;
	
	
	
	public String getPline_code() {
		return pline_code;
	}
	public void setPline_code(String pline_code) {
		this.pline_code = pline_code;
	}


	@Column
	private String pline_name;
	
	
	public String getPline_name() {
		return pline_name;
	}
	public void setPline_name(String pline_name) {
		this.pline_name = pline_name;
	}

	
	/**
	 * 炉号
	 */
	@Column
	private String heat_no;
	

	public String getHeat_no() {
		return heat_no;
	}
	public void setHeat_no(String heat_no) {
		this.heat_no = heat_no;
	}

	
	/**
	 * 轧批号
	 */
	@Column
	private String batch_no;
	

	public String getBatch_no() {
		return batch_no;
	}
	public void setBatch_no(String batch_no) {
		this.batch_no = batch_no;
	}
	
	
	/**
	 * 母板号
	 */
	@Column
	private String board_no;
	

	public String getBoard_no() {
		return board_no;
	}
	public void setBoard_no(String board_no) {
		this.board_no = board_no;
	}
	
	
	/**
	 * 全程产线号
	 */
	@Column
	private String msc_pline;
	

	public String getMsc_pline() {
		return msc_pline;
	}
	public void setMsc_pline(String msc_pline) {
		this.msc_pline = msc_pline;
	}
	
	/**
	 * 热处理号
	 */
	@Column
	private String ht_code;
	
	public String getHt_code() {
		return ht_code;
	}
	public void setHt_code(String ht_code) {
		this.ht_code = ht_code;
	}
	
	
	/**
	 * 工序代码
	 */
	@Column
	private String process_code;
	
	

	public String getProcess_code() {
		return process_code;
	}
	public void setProcess_code(String process_code) {
		this.process_code = process_code;
	}


	/**
	 * 全程工序顺序号
	 */
	@Column
	private String backlog_seq;
	

	public String getBacklog_seq() {
		return backlog_seq;
	}
	public void setBacklog_seq(String backlog_seq) {
		this.backlog_seq = backlog_seq;
	}


	/**
	 * 用于便于传参的项目集合
	 */

	
	private List<QcmRejudgeApplyItem> listItems;
	public List<QcmRejudgeApplyItem> getListItems() {
		return listItems;
	}
	public void setListItems(List<QcmRejudgeApplyItem> listItems) {
		this.listItems = listItems;
	}
	
	/**
	 * 判定是否锁定物料
	 * 1：不锁定，其余的锁定
	 */
	private String flag;
	public String getFlag() {
		return flag;
	}
	public void setFlag(String flag) {
		this.flag = flag;
	}
	
	
	private String machine_code;
	
	
	private String machine_name;
	public String getMachine_code() {
		return machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}
	public String getMachine_name() {
		return machine_name;
	}
	public void setMachine_name(String machine_name) {
		this.machine_name = machine_name;
	}
	@Column
	private String old_delivery_state_code;
	public String getOld_delivery_state_code() {
		return old_delivery_state_code;
	}
	public void setOld_delivery_state_code(String old_delivery_state_code) {
		this.old_delivery_state_code = old_delivery_state_code;
	}
	
	@Column
	private String old_delivery_state_desc;
	public String getOld_delivery_state_desc() {
		return old_delivery_state_desc;
	}
	public void setOld_delivery_state_desc(String old_delivery_state_desc) {
		this.old_delivery_state_desc = old_delivery_state_desc;
	}
	
	
}
